import { defineConfig } from 'vite';
import vue from '@vitejs/plugin-vue';

// https://vite.dev/config/
export default defineConfig({
  plugins: [vue()],
  build: {
    outDir: 'dist', //输出文件名称
    lib: {
      entry: './src/main.js', //指定组件编译入口文件
      name: 'tree-transfer-vue3',
      fileName: 'tree-transfer-vue3',
    },
    minify: 'terser', // 使用 Terser 进行压缩
    // 传递给 Terser 的额外选项
    terserOptions: {
      compress: {
        drop_console: true, // 删除console
        drop_debugger: true, // 删除debugger
      },
    },
  },
});
